## db 5.1.29

=== test/java/junit/Makefile ===
TESTCLASSES=\
    ./src/com/sleepycat/db/test/*.java

all: dbtest.jar

dbtest.jar: classesdir
	# Compile the tests and build the test jar
	javac -classpath "${DB_JAR}${CP_SEP}${REQUIRED_JARS}" \
		-d ./classes ${TESTCLASSES}
	jar cf ./dbtest.jar -C ./classes ./com/sleepycat

classesdir:
	[ -d ./classes ] || (mkdir ./classes)

clean:
	[ -d ./classes ] && rm -rf ./classes
	[ -f ./dbtest.jar ] && rm ./dbtest.jar

=== debian/changelog ===
db (5.1.29-9) unstable; urgency=medium

  * Fix for FTBFS on ppc64el (Courtesy of Matthias Klose/Ubuntu)
    (Closes: #758627)
  * Update d/control to have correct Vcs-*: fields
  * Set Priority: optional for db5.1-util as we keep it only for
    upgrade purposes

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Aug 2014 14:48:59 +0200

db (5.1.29-8) unstable; urgency=low

  * Build only db5.1-util as a final phase of db5.1->db5.3 transition
  * Add Breaks/Provides libdb5.1 to db5.1-util

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Feb 2014 15:43:04 +0100

db (5.1.29-7) unstable; urgency=low

  * Add myself to uploaders.
  
  Apply changes from Ubuntu packaging:
  * debian/patches/link-sql-libs: Add new patch to fix FTBFS due to
    missing -ldl link on libdb_sql-5.1.
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 13:30:18 +0100

db (5.1.29-6) unstable; urgency=low

  * Ensure that backwards compatible Java bytecode is built (Closes: #688138)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Jun 2013 10:27:02 +0200

db (5.1.29-5) unstable; urgency=low

  * Export JAVAC_FLAGS with -source 1.5 -target 1.5 (Closes: #678187)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 11:52:51 +0200

db (5.1.29-4) unstable; urgency=low

  * Remove M-A: foreign from libdb5.1-java, since it was wrong

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:11 +0200

db (5.1.29-3) unstable; urgency=low

  * Reverse dependency between -java and -java-jni package to not break
    our reverse dependencies (Closes: #672463)
  * Suggests instead of Recommends for libdb5.1-java-gcj (Closes: #670664)
  * Explicitly depend on debhelper (>= 9) (Closes: #669991)
  * Fix binNMUability and bump standards to 3.9.3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:04 +0200

db (5.1.29-2) unstable; urgency=low

  * Split libdb5.1-java to arch independent libdb5.1-java and move JNI
    libraries to libdb5.1-java-jni (Closes: #670011)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 10:10:08 +0200

db (5.1.29-1) unstable; urgency=low

  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
  * Update priority of db5.1-util and add missing description of
    db5.1_sql
  * Add git-buildpackage configuration
  * Imported Upstream version 5.1.29

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2011 15:44:35 +0100

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

=== debian/control ===
Source: db
Section: oldlibs
Priority: extra
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
	       autotools-dev (>= 20100122.1),
	       tcl-dev,
	       procps [!hurd-i386]
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://anonscm.debian.org/?p=pkg-db/db.git
Vcs-Git: git://anonscm.debian.org/pkg-db/db.git

Package: db5.1-util
Priority: optional
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Breaks: libdb5.1 (<< 5.1.29-8~)
Replaces: libdb5.1 (<< 5.1.29-8~)
Description: Berkeley v5.1 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 database format, and includes:
  - db5.1_archive: write the pathnames of the log files no longer in use.
  - db5.1_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.1_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.1_load: loads (and creates) a database from standard input.
  - db5.1_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.1_printlog: dump log files in human readable format.
  - db5.1_stat: display statistics for Berkeley DB environments.
  - db5.1_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.1_verify: check the structure of files and their databases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Berkeley DB defaults
# Copyright (C) 2011 Ondřej Surý
# Published under the GNU GPL license
# Partially based on previous work by Clint Adams
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=.arch-ids

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CONFIGURE_SWITCHES =    --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib \
			--disable-cxx \
			--enable-compat185 \
			--enable-dbm \
			--enable-tcl \
			--enable-test \
			--prefix=/usr

ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
  CONFIGURE_SWITCHES += --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
else
  CONFIGURE_SWITCHES += --with-tcl=/usr/lib
endif

ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
endif
ifeq (zavr32-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
CONFIGURE_SWITCHES += --enable-posixmutexes
endif

BROKEN_CPUS = zs390z
VERY_BROKEN_CPUS = zm68kz zhppaz
BROKEN_SYSTEMS = zgnuz
VERY_BROKEN_SYSTEMS =

export DH_OPTIONS

package=db5.1
bdbversion=5.1

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

%:
	dh $@ --with=autotools-dev $(DH_PLUGINS)

override_dh_auto_configure:
	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild -- $(CONFIGURE_SWITCHES)

override_dh_auto_build:
	dh_auto_build -Ddist -Bbuild

override_dh_auto_clean:
	dh_auto_clean -Ddist -Bbuild

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install -Ddist -Bbuild --destdir=$(CURDIR)/debian/tmp

# Remove .la files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

# Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb*5.so

# Remove extra files from reduced build
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a

	for i in $(CURDIR)/debian/tmp/usr/bin/db_*; do \
	  mv $$i $$(echo $$i | sed -e 's{usr/bin/db_{usr/bin/$(package)_{'); \
	done

override_dh_clean:
	rm -rf build
	rm -f $(CURDIR)/debian/db_signature
	DH_OPTIONS="" dh_clean

## db 5.1.29-7ubuntu1+7.0trisquel1

=== debian/changelog ===
db (5.1.29-7ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Update license to include GPL, fixes 5954

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 06 Feb 2014 23:06:42 +0100

db (5.1.29-7ubuntu1) trusty; urgency=medium

  * Update libtool.m4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2014 14:49:14 +0100

=== debian/control ===
Source: db
Section: libs
Priority: standard
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
Standards-Version: 3.9.3
# For cross building one also needs tcl8.4:native (ie. such that it
# can be executed to pre-process sqlite3 components).
# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk,
# gcj-native-helper can be dropped
Build-Depends: debhelper (>= 9),
	       autotools-dev (>= 20100122.1),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper,
	       default-jdk,
	       gcj-native-helper
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db.git
Vcs-Git: git://git.debian.org/pkg-db/db.git

Package: db5.1-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v5.1 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.1 of Berkeley DB.

Package: libdb5.1-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev
Description: Berkeley v5.1 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database library.

Package: db5.1-util
Architecture: any
Section: database
Priority: standard
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 database format, and includes:
  - db5.1_archive: write the pathnames of the log files no longer in use.
  - db5.1_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.1_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.1_load: loads (and creates) a database from standard input.
  - db5.1_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.1_printlog: dump log files in human readable format.
  - db5.1_stat: display statistics for Berkeley DB environments.
  - db5.1_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.1_verify: check the structure of files and their databases.

Package: db5.1-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 SQL database format, and includes:
  - db5.1_sql: sqlite3 compatible command-line utility

Package: libdb5.1++
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Priority: optional
Description: Berkeley v5.1 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.1
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.1++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1++ (= ${binary:Version}),
	 libdb5.1-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev
Description: Berkeley v5.1 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.1-tcl
Architecture: any
Section: interpreters
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.1
 databases from within Tcl programs.

Package: libdb5.1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.1 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v5.1 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.1 database
 libraries and binaries.

Package: libdb5.1-java-jni
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Breaks: libdb5.1-java (<< ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.1 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-java
Architecture: all
Section: java
Priority: optional
Depends: libdb5.1-java-jni (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libdb5.1-java-gcj
Description: Berkeley v5.1 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.1-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.1 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.1-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb5.1-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev
Description: Berkeley v5.1 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-sql (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-sql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.1 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database SQL library.

Package: libdb5.1-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-stl (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-stl
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.1 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database STL library.

## db engine

=== Makefile ===
###############################################################################
#
#  <:copyright-BRCM:2016:DUAL/GPL:standard
#  
#     Copyright (c) 2016 Broadcom
#     All Rights Reserved
#  
#  Unless you and Broadcom execute a separate written software license
#  agreement governing use of this software, this software is licensed
#  to you under the terms of the GNU General Public License version 2
#  (the "GPL"), available at http://www.broadcom.com/licenses/GPLv2.php,
#  with the following added to such license:
#  
#     As a special exception, the copyright holders of this software give
#     you permission to link this software with independent modules, and
#     to copy and distribute the resulting executable under terms of your
#     choice, provided that you also meet, for each linked independent
#     module, the terms and conditions of the license of that module.
#     An independent module is a module which is not derived from this
#     software.  The special exception does not apply to any modifications
#     of the software.
#  
#  Not withstanding the above, under no circumstances may you combine
#  this software in any way with any other Broadcom software provided
#  under a license other than the GPL, without Broadcom's express prior
#  written consent.
#  
#  :>
#
###############################################################################
# Data Base engine
#
MOD_NAME = db
MOD_TYPE = lib

srcs = bcm_db_engine.c

## db fillers-0.0.7

=== requirements.txt ===
pyshp
psycopg2-binary
numpy>=1.16.5
pandas
openpyxl
geopandas
shapely
scipy
matplotlib
camelot-py[cv]
odfpy

## db mini

=== Makefile ===

EXEC = libdb_mini.a
OBJS = db_mini_open.o db_mini_close.o db_mini_get.o db_mini_put.o db_mini_del.o db_mini_truncate.o db_mini_create.o db_mini_strerror.o db_mini_version.o db_mini_lock.o

# macros and variables
RANLIB = $(CROSS)ranlib

all: $(EXEC)

#CFLAGS += -g
CFLAGS += -Wall -I.

#CFLAGS += -DCACHE_DEBUG

$(EXEC): $(OBJS)
	rm -f $(EXEC)
	$(CROSS)ar cr $(EXEC) $(OBJS)

romfs:


clean:
	rm -f $(EXEC) *.gdb *.elf *.o *.s *.i *~ *.lo
